require 'sketchup.rb'
require 'extensions.rb'

module D95_MAXTOOL

def self.copytomax
d95_file_path = Sketchup.active_model.path
model = Sketchup.active_model
entities = model.entities
d95_definitions = model.definitions
d95_select = model.selection
d95_model_title = (Sketchup.active_model).title

if d95_model_title == ""
  UI.messagebox("Please save file first!")
elsif not d95_select[0]
  UI.messagebox ("Please select something!")
else
model.start_operation("D95 Export")
d95_select_array = d95_select.to_a
edges=[]
d95_select_array.each{|face|face.edges.each{|e|edges<<e if not d95_select_array.include?(e)}if face.class==Sketchup::Face}
d95_select_array = d95_select_array + edges
d95_group = entities.add_group(d95_select_array)
d95_entities = entities.to_a - [d95_group]
d95_entities.each{|e|e.erase! if e.valid?}
d95_definitions.each{|defn|defn.entities.each{|e|e.erase! if e.valid?}if not defn.instances}
model.commit_operation
model.save("C:/Temp/3dsmax_temp.skp", Sketchup::Model::VERSION_8)
Sketchup.undo
Sketchup.active_model.save(d95_file_path)
end
end

menu = UI.menu('Extensions')
menu.add_item("Copy to 3dsMax"){D95_MAXTOOL.copytomax}
end



